Subject: Re: [PATCH v2 iwl-net 2/3] ice: Don't process extts if PTP is disabled

From: Simon Horman <[email-masked]>
Date: Fri, 21 Jun 2024 12:06:50 +0100

On Thu, Jun 20, 2024 at 02:27:09PM +0200, Karol Kolacinski wrote:
> From: Jacob Keller <[email-masked]>
> 
> The ice_ptp_extts_event() function can race with ice_ptp_release() and
> result in a NULL pointer dereference which leads to a kernel panic.
> 
> Panic occurs because the ice_ptp_extts_event() function calls
> ptp_clock_event() with a NULL pointer. The ice driver has already
> released the PTP clock by the time the interrupt for the next external
> timestamp event occurs.
> 
> To fix this, modify the ice_ptp_extts_event() function to check the
> PTP state and bail early if PTP is not ready.
> 
> Fixes: 172db5f91d5f ("ice: add support for auxiliary input/output pins")
> Reviewed-by: Przemek Kitszel <[email-masked]>
> Signed-off-by: Jacob Keller <[email-masked]>
> Signed-off-by: Karol Kolacinski <[email-masked]>
> ---
> V1 -> V2: removed unnecessary hunk of code and adjusted commit message

Thanks for the update.

Reviewed-by: Simon Horman <[email-masked]>